//
//  HyXenProMeADBannerView.h
//  adWhilrSDK_iOS
//
//  Created by  on 2012/2/1.
//  Copyright (c) 2012年 Hyxen Tech Inc.. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "HyXenProMeADBannerViewDelegate.h"
#import "HyxenAdWebBrowserController.h"
#import <CoreLocation/CoreLocation.h>

#pragma mark -
#pragma mark Ad Sizes

// iPhone and iPod Touch ad size.
#define HAD_SIZE_320x50     CGSizeMake(320, 50)

// Medium Rectangle size for the iPad (especially in a UISplitView's left pane).
#define HAD_SIZE_300x250    CGSizeMake(300, 250)

// Leaderboard size for the iPad.
#define HAD_SIZE_728x90     CGSizeMake(728, 90)



#define hAdBannerViewDefaultSize \
(CGSizeMake(kAdWhirlViewWidth, kAdWhirlViewHeight))
#define hAdBannerViewDefaultFrame \
(CGRectMake(0,0,kAdWhirlViewWidth, kAdWhirlViewHeight))

#define kAdLocusViewAdSubViewTag   999

#pragma mark -
#pragma mark Banner Ad View



typedef enum {
    AdLocusBannerAnimationTypeNone           = 0,
    AdLocusBannerAnimationTypeFlipFromLeft   = 1,
    AdLocusBannerAnimationTypeFlipFromRight  = 2,
    AdLocusBannerAnimationTypeCurlUp         = 3,
    AdLocusBannerAnimationTypeCurlDown       = 4,
    AdLocusBannerAnimationTypeSlideFromLeft  = 5,
    AdLocusBannerAnimationTypeSlideFromRight = 6,
    AdLocusBannerAnimationTypeFadeIn         = 7,
    AdLocusBannerAnimationTypeRandom         = 8,
} AdLocusBannerAnimationType;

@interface HyXenProMeADBannerView : UIView <HyXenProMeADBannerViewDelegate, HyxenAdWebBrowserControllerDelegate,UIWebViewDelegate>
{
    id<HyXenProMeADBannerViewDelegate> delegate;
    NSTimer *refreshTimer;
    
    BOOL ignoreAutoRefreshTimer;
    BOOL ignoreNewAdRequests;
    BOOL appInactive;
    BOOL showingModalView;
    BOOL auth;
    BOOL isAdWhirl;
    
    NSMutableDictionary *hxUserInfo;
//    HyXenProMeADCustomBannerView *customBanner;
    CLLocation *hxLocationInfo;
    NSString *hxJson;
    NSString *hxAppKey;
    NSString *hxAdId;
    NSString *hxAdType;
    NSString *hxAdBody;
    UIImage *hxAdLeftIcon;
    UIImage *hxAdImg;
    int hxAdLinkType;
    NSString *hxAdLink;
    NSString *hxSid;
    int hxSec;
    
    
    BOOL hxBannerShouldBePause;
    BOOL hxFirstCome;
    UIImageView *hxLeftIconImageView;
    UIImageView *hxRightIconImageView;
    UIImageView *hxBannerImageView;
    UIImageView *hxBackgroundImageView;
    UIImageView *hxLogoImageView;
    
    UILabel *hxButtonLabel;
    UIImageView *hxButtonFrame;
    
    UILabel *hxBodyLabel;
    
    UIButton *hxButton;
    NSString *hxBannerType;
    NSTimer *bannerTimer;
    NSTimer *impressionTimer;
    
    HyxenAdWebBrowserController *hxWebBrowserController;
    
    AdLocusBannerAnimationType bannerAnimationType;
    
    
    
    UIWebView *hxBannerWebView;
    NSString *hxTagId;
    NSNumber *hxNextTimer;
    NSNumber *hxLastTimer;
}
#pragma mark Pre-Request


// Required reference to the current root view controller.  For example the root
// view controller in tab-based application would be the UITabViewController.
@property (nonatomic, assign) UIViewController *rootViewController;



@property (nonatomic,retain) NSTimer *refreshTimer;

@property (nonatomic, retain) NSString *hxJson;
@property (nonatomic, retain) NSString *hxAdId;
@property (nonatomic, retain) NSString *hxAdType;
@property (nonatomic, retain) NSString *hxAdBody;
@property (nonatomic, retain) UIImage *hxAdLeftIcon;
@property (nonatomic, retain) UIImage *hxAdImg;
@property (nonatomic) int hxAdLinkType;
@property (nonatomic, retain) NSString *hxAdLink;
@property (nonatomic, retain) NSString *hxSid;
@property (nonatomic) int hxSec;
@property (nonatomic, retain) CLLocation *hxLocationInfo;
@property (nonatomic, retain) HyxenAdWebBrowserController *hxWebBrowserController;
@property (nonatomic, retain) NSMutableDictionary *hxUserInfo;


@property (nonatomic, assign) NSObject<HyXenProMeADBannerViewDelegate> *delegate;

#pragma mark Ad Request



@property (nonatomic, readonly) BOOL hasAutoRefreshed;


- (HyXenProMeADBannerView *)requestAdViewWithDelegate:(id<HyXenProMeADBannerViewDelegate>)delegate;

- (void)parseHyxenAd:(NSString *)AdString;
- (void)helperNotifyDelegateOfFullScreenModal ;

- (void)helperNotifyDelegateOfFullScreenModalDismissal;
- (BOOL)canRefresh ;
- (void)setBannerAnimationType:(AdLocusBannerAnimationType)type;
- (void)setAutoRefreshWithTime:(int)sec;
- (void)stopAutoRefresh;
- (void)transitionToView:(UIView *)view ;
- (void)isAdwhirl;
@end




