//
//  AppDelegate.m
//  AdLocusSDKSample
//
//  Created by Hyxen on 2014/6/16.
//  Copyright (c) 2014年 Hyxen. All rights reserved.
//

#import "AppDelegate.h"
#import "ViewController.h"

@implementation AppDelegate

@synthesize hyxenLibProMeOffPushService;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    //  Open background fetch.
    NSString *sysVersion = [UIDevice currentDevice].systemVersion;
    CGFloat version = [sysVersion floatValue];
    if (version >= 7.0) {
        [application setMinimumBackgroundFetchInterval:60 * 60];
    }
    
    UILocalNotification *localNotif = [launchOptions objectForKey:UIApplicationLaunchOptionsLocalNotificationKey];
    if (localNotif)
    {
        [HyxenLibProMeHyXenOfflinePushService didReceiveLocalNotification:localNotif];
        [[UIApplication sharedApplication] cancelLocalNotification:localNotif];
    }
    
    //  Initial.
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    self.window.backgroundColor = [UIColor whiteColor];
    self.window.rootViewController = [[ViewController alloc] init];
    [self.window makeKeyAndVisible];
    
    //AdLocus Push Service.
    if (!hyxenLibProMeOffPushService)
    {
        self.hyxenLibProMeOffPushService=[[HyxenLibProMeHyXenOfflinePushService alloc]init];
        self.hyxenLibProMeOffPushService.delegate = self;
        [self.hyxenLibProMeOffPushService applicationLauching];
        [self.hyxenLibProMeOffPushService setEnablePushService:YES];
        //[hyxenLibProMeOffPushService setEnablePushService:NO]; //若您想要暫停推播請用,但別忘了再啟動 return YES;
    }
    
    return YES;
}

//  For iOS7 up.
- (void)application:(UIApplication *)application performFetchWithCompletionHandler:(void (^)(UIBackgroundFetchResult))completionHandler
{
    [HyxenLibProMeHyXenOfflinePushService performFetchWithCompletionHandler:completionHandler];
}

//  Receive AdLocus Push.
- (void)application:(UIApplication *)application didReceiveLocalNotification:(UILocalNotification *)notification
{
    [HyxenLibProMeHyXenOfflinePushService didReceiveLocalNotification:notification];
    [[UIApplication sharedApplication] cancelLocalNotification:notification];
}

#pragma mark - Hyxen Push Service Delegate

- (NSString *)hyxenADAppKey
{
    return @"";
}

- (BOOL)testMode
{
    return YES;
}

@end
