//
//  ViewController.m
//  AdLocusSDKSample
//
//  Created by Hyxen on 2014/6/16.
//  Copyright (c) 2014年 Hyxen. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    [self initAdLocusBannerView];
    [self initAdLocusInterstitialAd];
}

- (void)initAdLocusBannerView
{
    self.hyxenBannerView = [[HyXenProMeADBannerView alloc] initWithFrame:CGRectMake(0, 0, 320, 50)];
    self.hyxenBannerView.delegate = self;
    [self.hyxenBannerView setBannerAnimationType:AdLocusBannerAnimationTypeRandom];
    [self.hyxenBannerView setAutoRefreshWithTime:15];
    [self.hyxenBannerView requestAdViewWithDelegate:self];
    
    //  Add on View.
    [self.view addSubview:self.hyxenBannerView];
}

- (void)initAdLocusInterstitialAd
{
    self.hyxenInterstitialAd = [[HyxenProMeADInterstitial alloc] init];
    self.hyxenInterstitialAd.delegate = self;
    [self.hyxenInterstitialAd setInterstitialAnimationType:AdLocusInterstitialAnimationTypeFadeIn];
    [self.hyxenInterstitialAd requestAdViewWithDelegate:self];
    
    //  Add on View.
    [self.view addSubview:self.hyxenInterstitialAd];
}

#pragma mark - Hyxen AdLocus BannerView Delegate

//  選擇性，若您尚在測試請回傳YES
- (BOOL)testMode
{
    return YES;
}

//  請回傳 UIViewController
- (UIViewController *)viewControllerForPresentingModalView
{
    return self;
}

//  請回傳AdLocus App Key
- (NSString *)hyxenADAppKey
{
    return @"";
}

- (void)adViewDidReceiveAd:(HyXenProMeADBannerView *)view
{
    NSLog(@"Receive AdLocus banner Ad.");
}

- (void)adViewDidFailToReceiveAd:(HyXenProMeADBannerView *)view andError:(HyxenAdLocusError *)error
{
    NSLog(@"Failed receive AdLocus banner Ad : %@", error);
}

//  選擇性，請回傳目前位置，使您的廣告更精準投放！
//-(CLLocation *)locationInfo
//{
//    return //請回傳目前位置。
//}


#pragma mark - Hyxen AdLocus Interstitial Ad Delegate

- (NSString *)hyxenAdInterstitialKey
{
    return @"";
}

- (void)interstitialDidReceiveAd:(HyxenProMeADInterstitial *)interstitial
{
    NSLog(@"Receive AdLocus interstitial Ad.");
}

- (void)interstitialDidFailToReceiveAd:(HyxenProMeADInterstitial *)interstitial andError:(HyxenAdLocusError *)error
{
    NSLog(@"Failed receive AdLocus interstitial Ad : %@", error);
}

@end
